# Uses of Class
org.springframework.web.servlet.mvc.condition.PathPatternsRequestCondition

Packages that use PathPatternsRequestCondition
Package
Description
org.springframework.web.servlet.mvc.condition
Common MVC logic for matching incoming requests based on conditions.
org.springframework.web.servlet.mvc.method
Servlet-based infrastructure for handler method processing, building on the `org.springframework.web.method` package.

## Uses of PathPatternsRequestCondition in org.springframework.web.servlet.mvc.condition

Methods in org.springframework.web.servlet.mvc.condition that return PathPatternsRequestCondition
Modifier and Type
Method
Description
`PathPatternsRequestCondition`
PathPatternsRequestCondition.`combine(PathPatternsRequestCondition other)`
Combine the patterns of the current and of the other instances as follows: If only one instance has patterns, use those.
`PathPatternsRequestCondition`
PathPatternsRequestCondition.`getMatchingCondition(HttpServletRequest request)`
Checks if any of the patterns match the given request and returns an instance that is guaranteed to contain matching patterns, sorted.
Methods in org.springframework.web.servlet.mvc.condition with parameters of type PathPatternsRequestCondition
Modifier and Type
Method
Description
`PathPatternsRequestCondition`
PathPatternsRequestCondition.`combine(PathPatternsRequestCondition other)`
Combine the patterns of the current and of the other instances as follows: If only one instance has patterns, use those.
`int`
PathPatternsRequestCondition.`compareTo(PathPatternsRequestCondition other, HttpServletRequest request)`
Compare the two conditions based on the URL patterns they contain.

## Uses of PathPatternsRequestCondition in org.springframework.web.servlet.mvc.method

Methods in org.springframework.web.servlet.mvc.method that return PathPatternsRequestCondition
Modifier and Type
Method
Description
`PathPatternsRequestCondition`
RequestMappingInfo.`getPathPatternsCondition()`
Return the patterns condition in use when parsed patterns are `enabled`.